@import  "../../styles.scss" ;

.modal{
    align-items: center;
    
}

.modal-content{
    background-color: $background-color;
    width: 90%;
    border-radius: 5px;
    margin-left: auto;
    margin-right: auto;
}

.close{
    color: $back-green;
    text-shadow: none;
    opacity: 1;
}

.modal-header{
    border-bottom: 0;
    padding-bottom: 0;
}

.modal-body{
    padding-top: 0;
}

.modal-footer{
    border-top: solid 2px $back-dark;
}

.sendCommentButton{
    background-color: transparent;
    color: $back-green;
    border: 0;
    margin-top: 10px;
    outline: none;
    margin-left: -5px;
}

.writePost{
    background-color: transparent;
    border: none;
    color: white;
    font-size: 20px;
    width: 90%;
    resize: none;
    outline: none;
    border-bottom: solid 2px $back-dark ;
    margin-bottom: 5px ;
}

.col-profilpic{
    padding-right: 0;
}

.profil-pict{
    width: 11vw;
    height: 11vw;
    max-width: 100%;
    border-radius: 50%;
    border: solid 2px $back-green;
}

.usernamePost{
    margin-top: 7px;
    font-weight: bold;
    padding:0;
}

.usernamePost p{
    margin-bottom: 0;
    color: $back-green;
}
.contentMessage p{
    width: 88%;
    color: white;
}

form{
    display: block !important;
    width: 100%;
}

.icon-img {
    width: 100%;
}

.image-upload > input {
    display: none;
}

.image-upload {
    text-align: center;
    width: 100%;
    bottom: 0;

}

#file-input {
    width: 100%;
}

.image-upload span {
    border-radius: 100%;
    width: 40%;
    color: $back-green;
}

.post-pict {
    width: 90%;
    border-radius: 10px;
}


@media screen and (min-width: 530px) and (max-width: 800px) {

    .profil-pict {
     width: 10vw;
     height: 10vw;
     object-fit: cover;
     border-radius: 50%;
     border: solid 2px $back-green;
  }
  
   }
  
  
   @media screen and (min-width: 800px) and (max-width: 1100px) {
  
     .profil-pict {
      width: 8vw;
      height: 8vw;
      object-fit: cover;
      border-radius: 50%;
      border: solid 2px $back-green;
  }
  
    }
  
    @media screen and (min-width: 1100px) and (max-width: 1500px) {
  
     .profil-pict {
      width: 6vw;
      height: 6vw;
      object-fit: cover;
      border-radius: 50%;
      border: solid 2px $back-green;
  }
  
  
  
  
    }
  
    @media screen and (min-width: 1500px) {
  
     .profil-pict {
      width: 4vw;
      height: 4vw;
      object-fit: cover;
      border-radius: 50%;
      border: solid 2px $back-green;
  }
    }